Bug 123441 - OO.o crashes on startup if certain fonts are present
OO.o crashes on startup if certain fonts are present
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 12:05 EDT by Dave Jones
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-18 17:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
brass monkey truetype font (24.56 KB, application/octet-stream)
2004-05-18 12:06 EDT, Dave Jones
no flags Details

  None (edit)
Description Dave Jones 2004-05-18 12:05:53 EDT
Description of problem:
OO.o doesn't like certain fonts.

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. put BRASS_MO.ttf in ~/.fonts
2. start openoffice
3. watch dialog informing you of crash
  
Actual results:
Fatal exception: Signal 11
Stack:
/usr/lib/ooo-1.1/program/libsal.so.3[0x7337c3]
/usr/lib/ooo-1.1/program/libsal.so.3[0x733950]
/usr/lib/ooo-1.1/program/libsal.so.3[0x733a19]
[0xefc420]
/usr/lib/ooo-1.1/program/libpsp645li.so[0x3ac3ffd]
/usr/lib/ooo-1.1/program/libpsp645li.so[0x3ac54d3]
/usr/lib/ooo-1.1/program/libpsp645li.so(_ZNK3psp16PrintFontManager19analyzeTrueTypeFileEPNS0_9PrintFontE+0xb9)[0x3a922db]
/usr/lib/ooo-1.1/program/libpsp645li.so(_ZN3psp16PrintFontManager11addFontFileERKN3rtl7OStringEPK10_FcPatternb+0x89d)[0x3a91469]
/usr/lib/ooo-1.1/program/libpsp645li.so(_ZN3psp16PrintFontManager15addFcSystemFontEP10_FcPattern+0x83)[0x3a92a73]
/usr/lib/ooo-1.1/program/libpsp645li.so(_ZN3psp16PrintFontManager18addFcSystemFontSetEP10_FcFontSet+0x43)[0x3a92ae5]
/usr/lib/ooo-1.1/program/libpsp645li.so(_ZN3psp16PrintFontManager10initializeEPv+0x1a6)[0x3a92c98]
/usr/lib/ooo-1.1/program/libpsp645li.so(_ZN3psp16PrintFontManager3getEv+0x69)[0x3a8dbab]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN11SalGraphics14GetDevFontListEP15ImplDevFontList+0x4de)[0xe6b7d2]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZNK12OutputDevice16ImplInitFontListEv+0x47)[0xd240ef]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN6Window24ImplUpdateGlobalSettingsER11AllSettingsh+0x64)[0xdd396a]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN6Window8ImplInitEPS_xP16SystemParentData+0x6ce)[0xdd4f2e]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN16ImplBorderWindow8ImplInitEP6WindowxtP16SystemParentData+0x112)[0xd8fbbc]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN16ImplBorderWindowC1EP6WindowP16SystemParentDataxt+0x70)[0xd8fd62]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN10WorkWindow8ImplInitEP6WindowxP16SystemParentData+0x7d)[0xdef91b]
/usr/lib/ooo-1.1/program/libvcl645li.so(_ZN11IntroWindowC2Ev+0x65)[0xdf054b]
/usr/lib/ooo-1.1/program/libspl645li.so[0x2fca24d]
/usr/lib/ooo-1.1/program/libspl645li.so[0x2fcb3bf]
/usr/lib/ooo-1.1/program/libcppuhelpergcc3.so.3[0xb51519]
/usr/lib/ooo-1.1/program/libcppuhelpergcc3.so.3[0xb516ca]
/usr/lib/ooo-1.1/program/libcppuhelpergcc3.so.3[0xb52266]
/usr/lib/ooo-1.1/program/libcppuhelpergcc3.so.3[0xb51734]
/usr/lib/ooo-1.1/program/libcppuhelpergcc3.so.3[0xb523b7]
/usr/lib/ooo-1.1/program/libcppuhelpergcc3.so.3[0xb52eb3]
/usr/lib/ooo-1.1/program/servicemgr.uno.so[0x6c763d6]
/usr/lib/ooo-1.1/program/servicemgr.uno.so[0x6c76990]
/usr/lib/ooo-1.1/program/soffice.bin(_ZN7desktop7Desktop16OpenSplashScreenEv+0x201)[0x806b427]
/usr/lib/ooo-1.1/program/soffice.bin(_ZN7desktop7Desktop4MainEv+0x4bd)[0x80636a1]
/usr/lib/ooo-1.1/program/libvcl645li.so(_Z6SVMainv+0x49)[0xca71f7]
/usr/lib/ooo-1.1/program/libvcl645li.so(main+0x4c)[0xe788ac]
/lib/tls/libc.so.6(__libc_start_main+0xe4)[0x4790ad4]
/usr/lib/ooo-1.1/program/soffice.bin(_ZN6Window11RequestHelpERK9HelpEvent+0x31)[0x805ded9]
Aborted (core dumped)
Comment 1 Dave Jones 2004-05-18 12:06:21 EDT
Created attachment 100304 [details]
brass monkey truetype font
Comment 2 Dan Williams 2004-05-18 16:34:22 EDT
Dave,

The font is corrupted or otherwise incorrect.  In the 'name' table,
entry #7 is:

00 01 00 00 00 00 00 06 00 03 FF F9

This corresponds to:

platformID: 00 01 (Macintosh)
platformSpecificID: 00 00 (Roman script)
languageID: 00 00 (English)
nameID: 00 06 (PostScript font name)
length: 00 03
offset: FF F9

Obviously the offset of FF F9 is completely incorrect.  OOo should be
better at handling these issues though.
Comment 3 Dan Williams 2004-05-18 16:35:45 EDT
This is also related to bug117440 but the fix would be slightly
different.  Both are malformed 'name' tables.
Comment 4 Dan Williams 2004-05-18 17:07:28 EDT
Fix will be in all subsequent versions of RHEL3 OOo and FC OOo. 
Ustreaming, same as OOo Issue #24286

http://www.openoffice.org/issues/show_bug.cgi?id=24286
Comment 5 John Flanagan 2004-09-01 22:53:27 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-445.html

Note You need to log in before you can comment on or make changes to this bug.